
<div fxLayout="column">
	<div fxLayoutAlign="center center">
        <app-input-number
            [metadata] = "inputConfig.nodeInput.ID"
            [(ngModel)] = "nodeData.id"
            [inputForm] = "inputForm"
            [required]= "true"
            [disabled] = "true"
            [ngModelOptions]="{standalone: true}"
            ngDefaultControl >
        </app-input-number>
	</div>    
	<div fxLayoutAlign="center center">
        <app-input-string
            [metadata] = "inputConfig.nodeInput.NAME"
            [(ngModel)] = "nodeData.name"
            [inputForm] = "inputForm"
            [required]= "true"
            [disabled] = "false"
            [ngModelOptions]="{standalone: true}"
            ngDefaultControl >
        </app-input-string>
	</div>
	<div fxLayoutAlign="center center">
        <app-input-textarea
            [metadata] = "inputConfig.nodeInput.DESCRIPTION"
            [(ngModel)] = "nodeData.description"
            [inputForm] = "inputForm"
            [required]= "true"
            [disabled] = "false"
            [ngModelOptions]="{standalone: true}"
            ngDefaultControl >
        </app-input-textarea>
	</div>
	<div fxLayoutAlign="center center">
        <app-input-number
            [metadata] = "inputConfig.nodeInput.PARENT_ID"
            [(ngModel)] = "nodeData.parentId"
            [inputForm] = "inputForm"
            [required]= "false"
            [disabled] = "false"
            [ngModelOptions]="{standalone: true}"
            ngDefaultControl >
        </app-input-number>
	</div>
	<div fxLayoutAlign="center center">
		<button class="margin10 custom-button"  type="button" (click)="updateNode()">
			{{'COMMON.FORM.UPDATE_NODE' | translate}}
		</button>
	</div>
</div>